				if(_RIT)										// Only allow RIT/RBS to be selected in RX mode, and not in Setup or User Configuration Mode
					{
					bl_on();
					button_debounce(_RIT);

					if(delay_time)				// ****** PRIMARY Function ******
						{
						eeprom.defval.rit_on ^= 1;				// Toggle RIT On/Off
						beep_number = eeprom.defval.rit_on;
						}
					else						// ****** SECONDARY Function ******
						{
						if(band_in_use && (eeprom.defval.Band_SW == _USER_B))
							{									// Save current frequency and mode if User-B mode is selected.
							eeprom.defval.vfo[band_in_use + 29] = eeprom.defval.vfo[vfo_idx];
							eeprom.defval.mode[band_in_use + 29] = eeprom.defval.mode[vfo_idx];
							changed_flag = TRUE;
							}

						rapid_band_switch(FALSE);				// Immediately display Rapid Band Switch screen, but do not allow band selection.

						if(hold_latch == LATCH)					// Latched mode
							{
							latch = TRUE;
							while(_RIT) warning_beep();			// Immediately start warning beep
							synch_beep();

							do	{
								warning_beep();
								rapid_band_switch(TRUE);		// Display the Rapid Band Switch screen, and allow band selection.

								if(PWR_SW || _RIT)
									{
									latch = FALSE;				// Release the page hold latch
									beep_number = 2;
									}
								} while(latch);
							}
						else									// Press & Hold mode
							{
							beep(HZ466_85, cal.calval.beep_len * 5);	// Long beep for band switch
							while(_RIT) rapid_band_switch(TRUE);		// While the RIT button is pressed, display Rapid Band Switch pages...
							}
						break;	// This break is essential, otherwise you will never exit from the latched mode! - Is this necessary?
						}
					while(PWR_SW || _RIT);							// Wait for button to be released
					debounce();										// Button debounce and encoder reset
					}

