			if(_DISPLAY)
				{
				bl_on();
				button_debounce(_DISPLAY);

				if(delay_time)				// ****** PRIMARY Function ******
					{
					if(lcd_mode == NORMAL_DISPLAY)			// Increment normal display pages
						increment_and_check(&sub_page0, LAST_PAGE);
					else									// Increment User Cofiguration pages
						increment_and_check(&sub_page1, MAX_SUB_PAGE1 + 1);

					beep_number = ((lcd_mode == NORMAL_DISPLAY && sub_page0) || (lcd_mode == CONFIG_DISPLAY && sub_page1)) ? 2 : 1;
					}
				else						// ****** SECONDARY Function ******
					{
					beep(HZ466_85, LONG_BEEP);				// Long beep for major page change
					lcd_mode++;

					if(lcd_mode > MAX_LCD_MODE)
						{
						eeprom.defval.filter = y;			// Restore the previous RX filter display
						save_settings(0, 2);
						lcd_mode = NORMAL_DISPLAY;			// lcd_mode = 0
						snap_to_step();						// Adjust VFO to account for any change in the settings
						}
					else
						{
						y = eeprom.defval.filter;			// Save the current selected filter
						display_screen(User_Menu, Configuration_Msg);
						}
					}
				while(_DISPLAY);							// Wait until button released
				debounce();									// Button debounce and encoder reset
				}

